%global tzversion 2022a

%if 0%{?perl_bootstrap}
%global __requires_exclude ^perl\\(DateTime::Duration\\)
%endif

Summary:        Time zone object base class and factory
Name:           perl-DateTime-TimeZone
Version:        2.52
Release:        6%{?dist}
License:        (GPL+ or Artistic) and Public Domain
URL:            https://metacpan.org/release/DateTime-TimeZone
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/DateTime-TimeZone-%{version}.tar.gz
Source1:        ftp://ftp.iana.org/tz/releases/tzdata%{tzversion}.tar.gz

BuildRequires:  make, perl-generators, perl-interpreter, perl(ExtUtils::MakeMaker) >= 6.76, perl(Params::ValidationCompiler) >= 0.13
BuildRequires:  perl(Config), perl(strict), perl(warnings), perl(Try::Tiny), perl(base)
BuildRequires:  perl(File::Basename), perl(File::Compare), perl(File::Find)
BuildRequires:  perl(File::Spec::Functions), perl(File::Temp), perl(Locale::Country) >= 3.11
BuildRequires:  perl(lib), perl(parent), perl(overload), perl(Storable)
BuildRequires:  perl(Class::Singleton) >= 1.03
BuildRequires:  perl(Module::Runtime), perl(constant), perl(namespace::autoclean)
BuildRequires:  perl(Specio::Library::Builtins), perl(Specio::Library::String)
BuildRequires:  perl(Test::Fatal), perl(Test::More) >= 0.96, perl(Test::Requires)
BuildRequires:  perl(Cwd) >= 3, perl(Sys::Hostname), coreutils, sed
%if ! 0%{?perl_bootstrap}
BuildRequires:  perl(Data::Dumper), perl(DateTime), perl(DateTime::Duration)
BuildRequires:  perl(File::Copy), perl(File::Find::Rule), perl(File::Path), perl(File::Spec)
BuildRequires:  perl(Getopt::Long), perl(integer), perl(List::Util) >= 1.33
BuildRequires:  perl(Parallel::ForkManager)
%endif
BuildArch:      noarch
Requires:       perl(File::Basename), perl(File::Compare), perl(File::Find)
Requires:       perl(DateTime::TimeZone::Tzfile)
%if ! 0%{?perl_bootstrap}
Provides:       bundled(tzdata) = %{tzversion}
%else
Provides:       bundled(tzdata)
%endif

%description
This class is the base class for all time zone objects. A time
zone is represented internally as a set of observances, each of
which describes the offset from GMT for a given time period.


%prep
%if ! 0%{?perl_bootstrap}
%setup -q -T -a 1 -c -n tzdata-%{tzversion}
%endif
%setup -q -T -b 0 -n DateTime-TimeZone-%{version}


%build
%if ! 0%{?perl_bootstrap}
perl tools/parse_olson \
         --dir ../tzdata-%{tzversion} \
         --version %{tzversion} \
         --jobs %{_smp_build_ncpus} \
         --clean
%endif
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
export HARNESS_OPTIONS=j%{_smp_build_ncpus}
make test


%files
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.52-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.52-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.52-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.52-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.52-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 2 2022 cunshunxia <cunshunxia@tencent.com> - 2.52-1
- initial build
